# Uses of Class
org.springframework.aop.aspectj.AspectJExpressionPointcut

Packages that use AspectJExpressionPointcut
Package
Description
org.springframework.aop.aspectj
AspectJ integration package.
org.springframework.aop.aspectj.annotation
Classes enabling AspectJ 5 @Annotated classes to be used in Spring AOP.

## Uses of AspectJExpressionPointcut in org.springframework.aop.aspectj

Methods in org.springframework.aop.aspectj that return AspectJExpressionPointcut
Modifier and Type
Method
Description
`final AspectJExpressionPointcut`
AbstractAspectJAdvice.`getPointcut()`
Return the AspectJ expression pointcut.
Constructors in org.springframework.aop.aspectj with parameters of type AspectJExpressionPointcut
Modifier
Constructor
Description
``
`AbstractAspectJAdvice(Method aspectJAdviceMethod, AspectJExpressionPointcut pointcut, AspectInstanceFactory aspectInstanceFactory)`
Create a new AbstractAspectJAdvice for the given advice method.
``
`AspectJAfterAdvice(Method aspectJBeforeAdviceMethod, AspectJExpressionPointcut pointcut, AspectInstanceFactory aif)`
``
`AspectJAfterReturningAdvice(Method aspectJBeforeAdviceMethod, AspectJExpressionPointcut pointcut, AspectInstanceFactory aif)`
``
`AspectJAfterThrowingAdvice(Method aspectJBeforeAdviceMethod, AspectJExpressionPointcut pointcut, AspectInstanceFactory aif)`
``
`AspectJAroundAdvice(Method aspectJAroundAdviceMethod, AspectJExpressionPointcut pointcut, AspectInstanceFactory aif)`
``
`AspectJMethodBeforeAdvice(Method aspectJBeforeAdviceMethod, AspectJExpressionPointcut pointcut, AspectInstanceFactory aif)`

## Uses of AspectJExpressionPointcut in org.springframework.aop.aspectj.annotation

Methods in org.springframework.aop.aspectj.annotation with parameters of type AspectJExpressionPointcut
Modifier and Type
Method
Description
`Advice`
AspectJAdvisorFactory.`getAdvice(Method candidateAdviceMethod, AspectJExpressionPointcut expressionPointcut, MetadataAwareAspectInstanceFactory aspectInstanceFactory, int declarationOrder, String aspectName)`
Build a Spring AOP Advice for the given AspectJ advice method.
`Advice`
ReflectiveAspectJAdvisorFactory.`getAdvice(Method candidateAdviceMethod, AspectJExpressionPointcut expressionPointcut, MetadataAwareAspectInstanceFactory aspectInstanceFactory, int declarationOrder, String aspectName)`